<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2011 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");

	//first, lets make sure someone isnt trying to see something that they arent allowed to!
	$q=$pdo->prepare("SELECT (NOW()>='".$config['dates']['postparticipants']."') AS test");
	$q->execute();
	$r=$q->fetch(PDO::FETCH_OBJ);
	$ret=array();

	if($r->test) {
		$ret['status']="ok";

		$q=$pdo->prepare("SELECT  registrations.id AS reg_id,
					registrations.status,
					projects.id AS projects_id,
					projects.title,
					projects.projectnumber,
					projects.projectcategories_id,
					projects.projectdivisions_id,
					projectcategories.category,
					projectdivisions.division
					
				FROM
					registrations
					LEFT JOIN projects on projects.registrations_id=registrations.id
					LEFT JOIN projectcategories ON projectcategories.id=projects.projectcategories_id
					LEFT JOIN projectdivisions ON projectdivisions.id=projects.projectdivisions_id
				WHERE
					1
					AND registrations.year='".$config['FAIRYEAR']."' 
					AND projectcategories.year='".$config['FAIRYEAR']."' 
					AND projectdivisions.year='".$config['FAIRYEAR']."' 
					AND (status='complete' OR status='paymentpending')
				ORDER BY
					projectcategories.id,
					projectdivisions.id,
					projects.projectnumber
				");
			$q->execute();
			echo $pdo->errorInfo();
		
		$lastcat="something_that_does_not_exist";
		$lastdiv="something_that_does_not_exist";
		$projects=array();
		while($r=$q->fetch(PDO::fETCH_OBJ)) {
			if(!$r->title) $t="{no title}";
			else $t=$r->title;

			if(file_exists("../data/photos/{$config['FAIRYEAR']}/{$r->projects_id}.jpg")) {
				$photo=true;
			}
			else {
				 $photo=false;
			}

			$projects["[".$r->projectcategories_id."] ".$r->category." - ".$r->division][]=array(
					"n"=>$r->projectnumber, 
					"t"=>iconv("ISO-8859-1","UTF-8//TRANSLIT",trim($t)),
					"p"=>$photo);
		}
		$ret['projects']=$projects;
	}
	else {
		$ret['status']="error";
		$ret['error']="Project list for this fair will be made public on {$config['dates']['postparticipants']}";
	}

	echo json_encode($ret);
?>
